### Method

# Gio TlsConnection get_certificate

since: 2.28

#### Declaration

    GTlsCertificate*
    g_tls_connection_get_certificate (
      GTlsConnection* conn
    )

#### Description

Gets `conn`‘s certificate, as set by g_tls_connection_set_certificate().

Available since: 2.28

Gets property | `Gio.TlsConnection:certificate`

#### Return value

Type: `GTlsCertificate`

`conn`‘s certificate, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.